[Help] Amxbans

Vaata eelmist teemat Vaata järgmist teemat Go down

Lumistor
Lumistor

[Help] Amxbans Anneta10
Postitusi : 2770
Maine : 36
Liitus : 02/04/2015
Vaata kasutaja profiili

PostitamineLumistor on 25.06.16 23:02

Tere, mul on selline probleem nagu, et kui proovin amxbansi installima hakkata siis installimise leht ei tule ette (puhas valge leht).
PHP versioon: 7.0.8
kults
kults

Postitusi : 780
Maine : 61
Liitus : 14/02/2015
Vaata kasutaja profiili

Postitaminekults on 26.06.16 9:40

Anna AMXBANS-i leht, äkki on sinu viga, kui ei ole, kustuta AMXBANS-i failid ära FTP-st ja pane uuesti peale.
Lumistor
Lumistor

[Help] Amxbans Anneta10
Postitusi : 2770
Maine : 36
Liitus : 02/04/2015
Vaata kasutaja profiili

PostitamineLumistor on 26.06.16 10:33

Seda on proovitud juba.
Ma olen proovinud erineva amxbans versioonidega.
Murt2003
Murt2003
Juunior
Postitusi : 32
Maine : 3
Liitus : 27/04/2015
Vaata kasutaja profiili

PostitamineMurt2003 on 10.08.16 10:54

Lõpuks ometi keegi, kellega muret saab jagada. Ma olen seda probleemi juba cs 1.6 alafoorumis välja toonud ka, aga keegi ei oska aidata.

Ma kasutan mingisuguseid vanemaid versioone, et amxbans korralikult töötaks. Tegemist on siis Vertrigo serveriga:

Packages:
Apache 2.0.63
PHP 5.2.6
Mysql 5.0.51b
Smarty 2.6.19
SQLite 3.5.9
PhpMyAdmin 2.11.7
SQLiteManager 1.2.0
ZendOptimizer 3.3.3

Tahaks kasutada kõige uuemat wamp serverit, aga amxbans viskab uuema php versiooni peale sitaks erroreid. Mis pagana versiooni erinevad teenusepakkujad siis kasutavad, et amxbans nende hostide peal ilusti tööle hakkab?!?!

Probleemid aina süvenevad kuna inimesed kirjutavad php koodi uuemate versioonide järgi, mul vanas ei tööta päris kõik. Kas leidub maailmas inimest, kes aitab mul foorumi, mysql baaside -ja amxbansiga üle kolida uuemate serverite peale? Ma ise võin uue wampi peale panna, mis loodetavasti sisaldab kõige viimaseid versioone nii php-st, mysql-st kui ka apache serveritest.

Tänud!
Pilvik
Pilvik

[Help] Amxbans Vetera11
Postitusi : 4049
Maine : 524
Liitus : 11/11/2012
Vaata kasutaja profiili

PostitaminePilvik on 10.08.16 13:42

Mis logid räägivad?
Divisor
Divisor

Postitusi : 172
Maine : 26
Liitus : 19/03/2015
Vaata kasutaja profiili

PostitamineDivisor on 10.08.16 16:31

php.ini's asjad ikka lubatud?
Murt2003
Murt2003
Juunior
Postitusi : 32
Maine : 3
Liitus : 27/04/2015
Vaata kasutaja profiili

PostitamineMurt2003 on 10.08.16 21:56

Ma tegin omal uuendused ära, andmebaas üle viidud uuema mysql peale ning foorum ja amxbans on samuti uues kuues -> apache
2.4.18 , php 5.6.19 , mysql 5.7.11.

Ja amxbans tulemus on selline: http://laagripubi.noip.me/amxbans/view.php

Päris kohutav. Kui alla välja kerida, siis toimiv osa on ka olemas, aga enamik errorite all. Oskab keegi midagi öelda selle kohta? Kui tõmban käima vana vertrigo serveri kus on vanem php, läheb pilt õigeks, kuigi mõlemas serveris on täpselt see sama amxbans.

php.ini-s ei ole ma ise midagi lubanud. Kõik on default. Mida ma sealt lubama peaksin?
Pilvik
Pilvik

[Help] Amxbans Vetera11
Postitusi : 4049
Maine : 524
Liitus : 11/11/2012
Vaata kasutaja profiili

PostitaminePilvik on 11.08.16 2:20

Paraku on antud skript vananenud ning ei tööta uute PHP versioonidega, ainuke lahendus on sul hetkel panna 5.3 või 5.4 versioon, sellisel juhul saad sa selle skripti tööle.

Logidest oleksid sa sellele juba ammu vastuse saanud, alati tasub enne postitamist lugeda veebiserveri logi faile.
Murt2003
Murt2003
Juunior
Postitusi : 32
Maine : 3
Liitus : 27/04/2015
Vaata kasutaja profiili

PostitamineMurt2003 on 11.08.16 7:28

Kas siis teadaolevalt ei ole amxbansist kirjutatud tänapäevast skripti? Tekib ikkagi küsimus, et kui tellitakse mingi vps, siis miks seal amxbans korralikult töötab? Kas tõesti teenusepakkujad kasutavad mingit vana php-d?
Murt2003
Murt2003
Juunior
Postitusi : 32
Maine : 3
Liitus : 27/04/2015
Vaata kasutaja profiili

PostitamineMurt2003 on 11.08.16 9:35

Leidsin natukene infot: https://forums.nfoservers.com/viewtopic.php?t=10371

Viimaste postitustega tuleb välja, et see GM tiim on teinud pisut ajakohasema amxbansi (1.6). Olen varasemalt proovinud mingisugust netist leitud GM 1.6 amxbansi, aga sinna oli mingi kaitse sisse ehitatud, et hakkas suunama kuskile GM team leheküljele. Kas kellelgi on toimivat GM 1.6 amxbansi pakkuda?

Või ongi ainuke lahendus kasutada vanu versioone?! See ei ole ka päris normaalne, sest sellel samal serveril tahan ka foorumit aretada. Paraku on selline vanal tarkvaral aretamine igasuguseid üllatusi täis. Isegi shoutboxi ei saanud foorumisse teha.

Nokk kinni saba lahti.
Divisor
Divisor

Postitusi : 172
Maine : 26
Liitus : 19/03/2015
Vaata kasutaja profiili

PostitamineDivisor on 11.08.16 13:07

VPS'ile sa saad alati ise valida mis versiooni PHP'd sa tahad ja tavaliselt ka kodulehe teenusepakkujad lasevad sul valida.
Murt2003
Murt2003
Juunior
Postitusi : 32
Maine : 3
Liitus : 27/04/2015
Vaata kasutaja profiili

PostitamineMurt2003 on 12.08.16 16:59

Suhtlesin ühe inimesega, kellel vpsi peal linux. Väidetavalt on seal peal php 5.6.x ning kasutab amxbans 6.0.3. Kõik pidavat toimima väga ilusti, erroreid ei ole. On siin ka windowsi mehi kellel uute versioonide peal amxbans korralikult toimib?
Selle uudise peale ilmselt lükkan oma masinale samuti linuxi ja vaatan mis siis juhtuma hakkab.
Pilvik
Pilvik

[Help] Amxbans Vetera11
Postitusi : 4049
Maine : 524
Liitus : 11/11/2012
Vaata kasutaja profiili

PostitaminePilvik on 13.08.16 20:24

@Murt2003 kirjutas:Kas siis teadaolevalt ei ole amxbansist kirjutatud tänapäevast skripti? Tekib ikkagi küsimus, et kui tellitakse mingi vps, siis miks seal amxbans korralikult töötab? Kas tõesti teenusepakkujad kasutavad mingit vana php-d?

Tänapäeva teenusepakkujad hoiavad turvalisuse huvides just uusimate PHP versioonide peal, kas 5.5+ või 7+. Kui sa oma erroreid googlesse viskama hakkad saad täpselt sama vastuse nagu mina andsin, et peaksid panema oma VPS vanema PHP versiooni ja problem solved.
Sponsored content

PostitamineSponsored content

Vaata eelmist teemat Vaata järgmist teemat Tagasi üles

Soovid reklaamidest vabaneda?

Selleks logi sisse või tee endale kasutaja.

Liitu foorumiga

Tee endale kasutaja ning osale aruteludes.


Tee uus kasutaja

Logi sisse

Omad foorumis juba kasutajat? Logi sisse.


Logi sisse

 
Permissions in this forum:
Sa ei saa vastata siinsetele teemadele